Bug 4762 - JuK doesn't support Russian in ID3v1 tags properly
: JuK doesn't support Russian in ID3v1 tags properly
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libtag)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-10 11:05 by
Modified: 2006-12-18 18:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-10 11:05:36
JuK (из kdemultimedia-juk-3.2.3-alt1) не поддерживает должным образом русский
язык в тагах ID3v1. Текст в таких тагах воспринимается как текст в кодировке
Latin1 и отображается соответствующим шрифтом (ISO-8859-1).

Вероятно, для русскоговорящих пользователей была бы полезна настройка, сходная
с
той, которая включена в XMMS.

Стоит отметить, что для большей часть ID3v1 тагов на русском используется
кодировка Windows-1251.
------- Comment #1 From 2006-09-28 02:28:05 -------
Лёш, оно ж на taglib живёт, правильно?  Так мож патчик с rusxmms.sf.net именно
туда приматывать, Как Обсуждалось? ;-)
------- Comment #2 From 2006-09-28 16:38:09 -------
(In reply to comment #1)
> Лёш, оно ж на taglib живёт, правильно?  Так мож патчик с rusxmms.sf.net именно
> туда приматывать, Как Обсуждалось? ;-)

libtag с нужным патчем уже очень давно тухнет в Дедале.
------- Comment #3 From 2006-11-08 15:19:50 -------
Проверьте juk. Уже должно быть нормально со свежим libtag.
------- Comment #4 From 2006-12-18 08:47:11 -------
Про JuK уже не скажу пока, но в Amarok, который работает через тот же libtag, 
уже все в порядке.
------- Comment #5 From 2006-12-18 14:52:22 -------
Значится, FIXED. (на той неделе при проверке после домашнего dist-upgrade
заметил неудачную попытку konqueror открыть что-то при помощи juk, огорчился,
что оно в .desktop заявило чего-то свыше своих умений, и снёс нафиг)
------- Comment #6 From 2006-12-18 18:34:25 -------
(In reply to comment #5)
> что оно в .desktop заявило чего-то свыше своих умений, и снёс нафиг)
Попробуй .mod открыть, все проигрыватели снесешь ;-)